import App from './App'

// #ifndef VUE3
import Vue from 'vue'

import './uni.promisify.adaptor'

Vue.config.productionTip = false

App.mpType = 'app'

import store from '@/store/store'
import i18n from './locale/index.js'

import './config'
import './utils/index.js'

//组件注册
import configPopup from '@/components/config/configPopup.vue'
import changeLanguage from '@/components/base/changeLanguage.vue'

Vue.component('configPopup',configPopup)
Vue.component('changeLanguage',changeLanguage)

const app = new Vue({
	...App,
	store,
	i18n
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif